Package com.macrofocus.high_d.mds

# Class MDSScatterPlotModel<Color,Row,C>

java.lang.Object
com.macrofocus.high_d.scatterplot.AbstractScatterPlotModel<Color,Row,C>
com.macrofocus.high_d.mds.MDSScatterPlotModel<Color,Row,C>

All Implemented Interfaces:
  `ScatterPlotModel<Color,Row,C>`, `com.macrofocus.visual.VisualObjects<Row>`

public class MDSScatterPlotModel<Color,Row,C> extends AbstractScatterPlotModel<Color,Row,C> implements com.macrofocus.visual.VisualObjects<Row>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `MDSScatterPlotModel.Algorithm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MDSScatterPlotModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, MatrixOperationsFactory matrixOperationsFactory, CPExecutor executor)`
  `MDSScatterPlotModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.crossplatform.CPFactory factory, MatrixOperationsFactory matrixOperationsFactory, CPExecutor executor)`
  `MDSScatterPlotModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,V> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,C> axisGroupModel, MatrixOperationsFactory matrixOperationsFactory, CPExecutor executor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MutableSingleSelection<MDSScatterPlotModel.Algorithm>`
  `getAlgorithm()`
  `com.macrofocus.molap.dataframe.DataFrame`
  `getAnnotationDataFrame()`
  `com.macrofocus.high_d.axis.group.AxisGroupModel`
  `getAxisGroupModel()`
  `com.macrofocus.coloring.MutableColoring<Color,Row>`
  `getColoring()`
  Gets model holding the colors of each object.
  `com.macrofocus.colormapping.MutableColorMapping<Color,Row,C>`
  `getColorMapping()`
  Gets model holding the color mapping of each object.
  `com.macrofocus.molap.dataframe.DataFrame`
  `getDataFrame()`
  `Filter<Row>`
  `getFilter()`
  Obtains the model used for filtering objects in the scatter plot.
  `Row`
  `getObject(int index)`
  `int`
  `getObjectCount()`
  Returns the number of data objects (typically rows).
  `MutableSingleSelection<Row>`
  `getProbing()`
  Obtains the model used for probing objects in the scatter plot (aka mouse over).
  `MutableSelection<Row>`
  `getSelection()`
  Obtains the model used for selecting objects in the scatter plot.
  `MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel>`
  `getSize()`
  `com.macrofocus.high_d.axis.AxisModel`
  `getSizeAxisModel()`
  `com.macrofocus.visual.Visual<Color,Row,C>`
  `getVisual()`
  `MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,C>>`
  `getX()`
  `com.macrofocus.high_d.axis.AxisModel`
  `getXAxisModel()`
  `MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,C>>`
  `getY()`
  `MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,C>>`
  `getY2()`
  `com.macrofocus.high_d.axis.AxisModel`
  `getY2AxisModel()`
  `com.macrofocus.high_d.axis.AxisModel`
  `getYAxisModel()`
  `boolean`
  `isRunning()`
  `void`
  `setLength(int length)`
  `void`
  `start()`
  `void`
  `stop()`

  ### Methods inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlotModel

  `addScatterPlotListener, fireScatterPlotChanged, removeScatterPlotListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MDSScatterPlotModel

    public MDSScatterPlotModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, MatrixOperationsFactory matrixOperationsFactory, CPExecutor executor)

  - ### MDSScatterPlotModel

    public MDSScatterPlotModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.crossplatform.CPFactory factory, MatrixOperationsFactory matrixOperationsFactory, CPExecutor executor)

  - ### MDSScatterPlotModel

    public MDSScatterPlotModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,V> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,C> axisGroupModel, MatrixOperationsFactory matrixOperationsFactory, CPExecutor executor)

- ## Method Details

  - ### start

    public void start()

  - ### isRunning

    public boolean isRunning()

  - ### stop

    public void stop()

  - ### setLength

    public void setLength(int length)

  - ### getAlgorithm

    public MutableSingleSelection<MDSScatterPlotModel.Algorithm> getAlgorithm()

  - ### getVisual

    public com.macrofocus.visual.Visual<Color,Row,C> getVisual()
    Specified by:
      `getVisual` in interface `ScatterPlotModel<Color,Row,C>`

  - ### getAxisGroupModel

    public com.macrofocus.high_d.axis.group.AxisGroupModel getAxisGroupModel()
    Specified by:
      `getAxisGroupModel` in interface `ScatterPlotModel<Color,Row,C>`

  - ### getProbing

    public MutableSingleSelection<Row> getProbing()
    Obtains the model used for probing objects in the scatter plot (aka mouse over).
    Specified by:
      `getProbing` in interface `ScatterPlotModel<Color,Row,C>`
    Returns:
      the model used for probing.

  - ### getSelection

    public MutableSelection<Row> getSelection()
    Obtains the model used for selecting objects in the scatter plot.
    Specified by:
      `getSelection` in interface `ScatterPlotModel<Color,Row,C>`
    Returns:
      the model used for selection.

  - ### getFilter

    public Filter<Row> getFilter()
    Obtains the model used for filtering objects in the scatter plot.
    Specified by:
      `getFilter` in interface `ScatterPlotModel<Color,Row,C>`
    Returns:
      the model used for filtering.

  - ### getColorMapping

    public com.macrofocus.colormapping.MutableColorMapping<Color,Row,C> getColorMapping()
    Gets model holding the color mapping of each object.
    Specified by:
      `getColorMapping` in interface `ScatterPlotModel<Color,Row,C>`
    Returns:
      the model holding the color of each object.

  - ### getColoring

    public com.macrofocus.coloring.MutableColoring<Color,Row> getColoring()
    Gets model holding the colors of each object.
    Specified by:
      `getColoring` in interface `ScatterPlotModel<Color,Row,C>`
    Returns:
      the model holding the color of each object.

  - ### getObjectCount

    public int getObjectCount()
    Returns the number of data objects (typically rows).
    Specified by:
      `getObjectCount` in interface `ScatterPlotModel<Color,Row,C>`
    Specified by:
      `getObjectCount` in interface `com.macrofocus.visual.VisualObjects<Color>`
    Returns:
      the number of data objects

  - ### getObject

    public Row getObject(int index)
    Specified by:
      `getObject` in interface `ScatterPlotModel<Color,Row,C>`
    Specified by:
      `getObject` in interface `com.macrofocus.visual.VisualObjects<Color>`
    Parameters:
      `index` -
    Returns:

  - ### getXAxisModel

    public com.macrofocus.high_d.axis.AxisModel getXAxisModel()
    Specified by:
      `getXAxisModel` in interface `ScatterPlotModel<Color,Row,C>`

  - ### getYAxisModel

    public com.macrofocus.high_d.axis.AxisModel getYAxisModel()
    Specified by:
      `getYAxisModel` in interface `ScatterPlotModel<Color,Row,C>`

  - ### getY2AxisModel

    public com.macrofocus.high_d.axis.AxisModel getY2AxisModel()
    Specified by:
      `getY2AxisModel` in interface `ScatterPlotModel<Color,Row,C>`

  - ### getSizeAxisModel

    public com.macrofocus.high_d.axis.AxisModel getSizeAxisModel()
    Specified by:
      `getSizeAxisModel` in interface `ScatterPlotModel<Color,Row,C>`

  - ### getDataFrame

    public com.macrofocus.molap.dataframe.DataFrame getDataFrame()
    Specified by:
      `getDataFrame` in interface `ScatterPlotModel<Color,Row,C>`

  - ### getAnnotationDataFrame

    public com.macrofocus.molap.dataframe.DataFrame getAnnotationDataFrame()
    Specified by:
      `getAnnotationDataFrame` in interface `ScatterPlotModel<Color,Row,C>`

  - ### getX

    public MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,C>> getX()
    Specified by:
      `getX` in interface `ScatterPlotModel<Color,Row,C>`

  - ### getY

    public MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,C>> getY()
    Specified by:
      `getY` in interface `ScatterPlotModel<Color,Row,C>`

  - ### getY2

    public MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel<Row,C>> getY2()
    Specified by:
      `getY2` in interface `ScatterPlotModel<Color,Row,C>`

  - ### getSize

    public MutableSingleSelection<com.macrofocus.high_d.axis.AxisModel> getSize()
    Specified by:
      `getSize` in interface `ScatterPlotModel<Color,Row,C>`